curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/ads_search/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"location_code": 2840,
"platform": "google_search",
"advertiser_ids": [
"AR13752565271262920705",
"AR02439908557932462081"
]
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/serp/google/ads_search/task_post"
payload = [
{
"location_code": 2840,
"platform": "google_search",
"advertiser_ids": ["AR13752565271262920705", "AR02439908557932462081"]
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
location_code: 2840,
platform: 'google_search',
advertiser_ids: ['AR13752565271262920705', 'AR02439908557932462081']
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/serp/google/ads_search/task_post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": {}
}
]
}设置 Google Ads Search SERP 任务
设置 Google Ads 搜索 SERP 任务。
示例
curl -X POST "https://api.aisa.one/apis/v1/dataforseo/serp/google/ads_search/task_post" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[{"advertiser_ids": "...", "target": "...", "location_name": "..."}]'
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
advertiser identifiers
required field if target is not specified
you can specify the maximum of 25 values in this array;
advertiser_ids values for this parameter can be found in the Google Ads Advertisers endpoint;
domain name
required field if advertiser_ids is not specified
domain name associated with an advertiser account
search engine location code
optional field
if you use this field, you don't need to specify location_name or location_coordinate
you can receive the list of available locations of the search engines with their location_code by making a separate request to the https://api.dataforseo.com/v3/serp/google/ads_search/locations
example:
2840
Note: if you don't specify location_name, location_code, or location_coordinate, the ads will be searched across all the available locations
parsing depth
optional field
number of results in SERP
default value: 40
max value: 700
Your account will be billed per each SERP containing up to 40 results;
Setting depth above 40 may result in additional charges if the search engine returns more than 40 results;
The cost can be calculated on the Pricing page.
notification URL of a completed task
optional field
when a task is completed we will notify you by GET request sent to the URL you have specified
you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request.
example:
http://your-server.com/pingscript?id=$id
http://your-server.com/pingscript?id=$id&tag=$tag
Note: special characters in pingback_url will be urlencoded;
i.a., the # character will be encoded into %23
learn more on our Help Center
URL for sending task results
optional field
once the task is completed, we will send a POST request with its results compressed in the gzip format to the postback_url you specified
you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request.
example:
http://your-server.com/postbackscript?id=$id
http://your-server.com/postbackscript?id=$id&tag=$tag
Note: special characters in postback_url will be urlencoded;
i.a., the # character will be encoded into %23
learn more on our Help Center
postback_url datatype
required field if you specify postback_url
corresponds to the function you used for setting a task
possible values:
advanced
full name of search engine location
optional field
if you use this field, you don't need to specify location_code or location_coordinate
you can receive the list of available locations of the search engine with their location_name by making a separate request to the https://api.dataforseo.com/v3/serp/google/ads_search/locations
example:
London,England,United Kingdom
Note: if you don't specify location_name, location_code, or location_coordinate, the ads will be searched across all the available locations
GPS coordinates of a location
optional field
if you use this field, you don't need to specify location_name or location_code
example:
52.6178549,-155.352142
Note: if you don't specify location_name, location_code, or location_coordinate, the ads will be searched across all the available locations
user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response
advertising platform
optional field
possible values: all, google_play, google_maps, google_search, google_shopping, youtube
default value: all
ad format
optional field
possible values: all, text, image, video
starting date of the time range
optional field
required field if date_to is specified;
date format: "yyyy-mm-dd"
minimum value: 2018-05-31
maximum value: today's date
example:
"2020-01-01"
ending date of the time range
optional field
required field if date_from is specified;
date format: "yyyy-mm-dd"
minimum value: 2018-05-31
maximum value: today's date
example:
"2020-01-01"
[ { "location_code": 2840, "platform": "google_search", "advertiser_ids": [ "AR13752565271262920705", "AR02439908557932462081" ] } ]
响应
Successful operation
API 的当前版本
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
total execution time, seconds
任务总成本(美元)
tasks 数组中的任务数量
返回错误的 tasks 数组中的任务数量
array of tasks
Show child attributes
Show child attributes